## pogo 1.0.1-0~717~antix1

=== Makefile ===
INSTALL ?= install
MAKE ?= make
RM ?= rm
RMDIR ?= rmdir
prefix ?= /usr


PREFIX = $(DESTDIR)$(prefix)

BINDIR = $(PREFIX)/bin
MANDIR = $(PREFIX)/share/man/man1
DATADIR = $(PREFIX)/share/pogo
SRCDIR = $(DATADIR)/pogo
PIXDIR = $(DATADIR)/pix
RESDIR = $(DATADIR)/res

APPDIR = $(PREFIX)/share/applications
ICONDIR = $(PREFIX)/share/pixmaps
LOCALEDIR = $(PREFIX)/share/locale

CONFIGURE_IN = sed -e "s!prefix = '/usr'!prefix = '$(prefix)'!g"

LANGUAGES = `find locale/ -maxdepth 1 -mindepth 1 -type d -printf "%f "`

help:
	@echo Usage:
	@echo "make           - not used"
	@echo "make clean     - removes temporary data"
	@echo "make install   - installs data"
	@echo "make uninstall - uninstalls data"
	@echo "make test      - runs tests"
	@echo "make help      - prints this help"
	@echo

install:
	cat pogo.py | $(CONFIGURE_IN) > script;
	echo $(PREFIX)
	$(INSTALL) -m 755 -d $(BINDIR) $(MANDIR) $(DATADIR) $(SRCDIR) $(RESDIR) $(APPDIR) $(PIXDIR) $(ICONDIR)
	$(INSTALL) -m 755 -d $(SRCDIR)/gui
	$(INSTALL) -m 755 -d $(SRCDIR)/media
	$(INSTALL) -m 755 -d $(SRCDIR)/media/format
	$(INSTALL) -m 755 -d $(SRCDIR)/media/track
	$(INSTALL) -m 755 -d $(SRCDIR)/tools
	$(INSTALL) -m 755 -d $(SRCDIR)/modules
	$(INSTALL) -m 644 pogo/*.py $(SRCDIR)
	$(INSTALL) -m 644 pogo/gui/*.py $(SRCDIR)/gui
	$(INSTALL) -m 644 pogo/tools/*.py $(SRCDIR)/tools
	$(INSTALL) -m 644 pogo/media/*.py $(SRCDIR)/media
	$(INSTALL) -m 644 pogo/media/track/*.py $(SRCDIR)/media/track
	$(INSTALL) -m 644 pogo/media/format/*.py $(SRCDIR)/media/format
	$(INSTALL) -m 644 pogo/modules/*.py $(SRCDIR)/modules
	$(INSTALL) -m 644 res/*.ui $(RESDIR)
	$(INSTALL) -m 644 res/pogo.1 $(MANDIR)
	$(INSTALL) -m 644 pix/*.png $(PIXDIR)
	$(INSTALL) -m 644 pix/pogo.png $(ICONDIR)
	$(INSTALL) -m 644 res/pogo.desktop $(APPDIR)
	if test -L $(BINDIR)/pogo; then ${RM} $(BINDIR)/pogo; fi
	$(INSTALL) -m 755 script $(BINDIR)/pogo
	$(MAKE) -C po dist
	for lang in $(LANGUAGES); do \
		${INSTALL} -m 755 -d $(LOCALEDIR)/$$lang/LC_MESSAGES;\
		$(INSTALL) -m 644 locale/$$lang/LC_MESSAGES/pogo.mo $(LOCALEDIR)/$$lang/LC_MESSAGES/; \
	done

uninstall:
	${RM} $(BINDIR)/pogo
	${RM} $(APPDIR)/pogo.desktop
	${RM} $(MANDIR)/pogo.1
	${RM} $(ICONDIR)/pogo.png
	${RM} -rf $(DATADIR)
	$(RMDIR) --ignore-fail-on-non-empty $(BINDIR) $(MANDIR) $(APPDIR)
	for lang in $(LANGUAGES); do \
		${RM} $(LOCALEDIR)/$$lang/LC_MESSAGES/pogo.mo; \
	done

clean:
	$(MAKE) -C po clean
	${RM} pogo/*.py[co] res/*~ res/*.bak
	${RM} script

test:
	pyflakes pogo pogo.py
	# Ignore middle-of-file imports, bare excepts and line breaks after binary operators.
	pycodestyle --ignore E402,E722,W504 --max-line-length=130 benchmarks pogo pogo.py
	dev/find-dead-code

.PHONY: help clean install test

=== po/Makefile ===
INSTALL ?= install

PYFILES = $(shell find ../pogo -type f -name "*.py")
UIFILES = $(wildcard ../res/*.ui)
POFILES = $(wildcard *.po)

UIHFILES := $(UIFILES:.ui=.ui.h)

help:
	@echo USAGE:
	@echo "make update - updates pogo.pot and .po files"
	@echo "make dist   - creates .mo files in ../locale dir"
	@echo "make pl.po  - updates pl.po file OR creates new one"
	@echo "              (replace 'pl' with your language code)"

%.h: %
	intltool-extract --type="gettext/glade" $*
	sed -i '/^char \*s = N_("gtk-.*");$$/d' $@


pogo.pot: $(UIHFILES) $(PYFILES)
	xgettext -k_ -kN_ -o pogo.pot $(PYFILES) $(UIHFILES) --from-code=utf-8

%.po: pogo.pot
	@if test -f $@; then \
		echo -n "Updating '$*' language ";\
		msgmerge --update --backup=none $@ pogo.pot; \
	else \
		msginit -l $*.UTF8 -o $@; \
	fi

%.mo:
	for pofile in $(patsubst ../locale/%/LC_MESSAGES/pogo.mo,%.po,$@); do \
		${INSTALL} -m 755 -d $(subst pogo.mo,,$@);\
		msgconv -t UTF-8 $${pofile} -o $${pofile}_utf8;\
		msgfmt $${pofile}_utf8 -o $@;\
		rm $${pofile}_utf8;\
	done

update: $(POFILES)
dist: $(POFILES:%.po=../locale/%/LC_MESSAGES/pogo.mo)

clean:
	$(RM) $(UIHFILES)
	$(RM) $(POFILES:%.po=../locale/%/LC_MESSAGES/pogo.mo)
	#$(RM) pogo.pot

.PHONY:  update

## pogo 1.0.1

=== debian/changelog ===
pogo (1.0.1-0.1~mx21+1) mx; urgency=low

  * Rebuild for MX Linux.
  * Bump up to debhelper compat 10.
  * Make recommended packages explicit dependencies.

 -- Steven Pusser <stevep@mxlinux.org>  Sun, 20 Aug 2023 19:35:18 -0700

pogo (1.0.1-1) UNRELEASED; urgency=low

  * New upstream release
  * Fix accessing PIL version number.

 -- Jendrik Seipp <jendrikseipp@web.de>  Sun, 19 Jul 2020 20:22:18 +0200

pogo (1.0-1) UNRELEASED; urgency=low

  * New upstream release
  * Remove code for playing CDs.
  * Use GitHub for issue tracking.
  * Test for dead code with Vulture.

 -- Jendrik Seipp <jendrikseipp@web.de>  Wed, 11 Jul 2018 14:18:55 +0200

pogo (0.9.2-1) UNRELEASED; urgency=low

  * New upstream release
  * Fix adding tracks from left pane to playlist (resolves #1).

 -- Jendrik Seipp <jendrikseipp@web.de>  Fri, 03 Mar 2017 09:40:29 +0100

pogo (0.9.1-1) UNRELEASED; urgency=low

  * New upstream release
  * Add AppData file (lp:1321813).
  * Fix two regressions (lp:1666667, lp:1659048).

 -- Jendrik Seipp <jendrikseipp@web.de>  Sun, 26 Feb 2017 19:47:40 +0100

pogo (0.9-1) UNRELEASED; urgency=low

  * New upstream release
  * Port from GTK 2 to GTK 3.
  * Port from Python 2 to Python 3.

 -- Jendrik Seipp <jendrikseipp@web.de>  Thu, 16 Feb 2017 23:19:34 +0100

pogo (0.8.7-1) UNRELEASED; urgency=low

  * New upstream release
  * Move code to github.
  * Remove unused code.
  * Make debian package's dependency on dh-python explicit.
  * Include elementary-style icon in repo under pix/pogo-e-48.svg (thanks Felix).

 -- Jendrik Seipp <jendrikseipp@web.de>  Wed, 03 Aug 2016 18:05:24 +0200

pogo (0.8.6-1) UNRELEASED; urgency=low

  * New upstream release
  * Fix version number.
  * Update translations.

 -- Jendrik Seipp <jendrikseipp@web.de>  Sat, 19 Sep 2015 12:07:24 +0200

pogo (0.8.5-1) UNRELEASED; urgency=low

  * New upstream release
  * Don't crash when 'find' or 'locate' are missing.
  * Add pyflakes test. Run with "make test".

 -- Jendrik Seipp <jendrikseipp@web.de>  Fri, 18 Sep 2015 19:07:23 +0200

pogo (0.8.4-1) UNRELEASED; urgency=low

  * New upstream release
  * Skip non-existing files during exports.
  * Don't crash when clearing the playlist.
  * Log system info and library versions for easier debugging.

 -- Jendrik Seipp <jendrikseipp@web.de>  Thu, 14 May 2015 20:20:31 +0200

pogo (0.8.3-1) UNRELEASED; urgency=low

  * New upstream release
  * Display filename in notification if track title is unknown.
  * Apply fix from decibel: Don't set VBR information for MP3 files (#1202195).
  * Apply fix from decibel: Remove obsolete volume handling code.

 -- Jendrik Seipp <jendrikseipp@web.de>  Fri, 25 Jul 2014 00:41:03 +0200

pogo (0.8.2-1) UNRELEASED; urgency=low

  * New upstream release
  * Update the clickable buttons after the tracks have been rearranged (lp:1191891).
  * Disable zeitgeist module since its DBus interface causes problems frequently.

 -- Jendrik Seipp <jendrikseipp@web.de>  Sun, 30 Jun 2013 21:22:19 +0200

pogo (0.8.1-1) UNRELEASED; urgency=low

  * New release

 -- Jendrik Seipp <jendrikseipp@web.de>  Sun, 20 Jan 2013 22:44:51 +0100

pogo (0.8-1) precise; urgency=low

  * New release

 -- Jendrik Seipp <jendrikseipp@web.de>  Wed, 05 Sep 2012 16:10:57 +0200

pogo (0.7-1) precise; urgency=low

  * New release

 -- Jendrik Seipp <jendrikseipp@web.de>  Fri, 27 Apr 2012 19:24:38 +0200

pogo (0.6-1) precise; urgency=low

  * New release

 -- Jendrik Seipp <jendrikseipp@web.de>  Mon, 26 Mar 2012 21:18:20 +0200

pogo (0.5-1) experimental; urgency=low

  * New release

 -- Jendrik Seipp <jendrikseipp@web.de>  Thu, 12 Jan 2012 13:46:05 +0200

pogo (0.4-1) experimental; urgency=low

  * Initial debian packaging

 -- Jendrik Seipp <jendrikseipp@web.de>  Mon, 31 Oct 2011 15:50:05 +0200

=== debian/control ===
Source: pogo
Section: sound
Priority: optional
Maintainer: Steven Pusser <stevep@mxlinux.org>
XSBC-Original-Maintainer: Jendrik Seipp <jendrikseipp@gmail.com>
Build-Depends: debhelper (>= 10)
Build-Depends-Indep: dh-python, python3
Standards-Version: 3.9.6
Homepage: https://github.com/jendrikseipp/pogo
Vcs-Git: git://github.com/jendrikseipp/pogo.git
Vcs-Browser: https://github.com/jendrikseipp/pogo

Package: pogo
Architecture: all
Depends: gir1.2-gdkpixbuf-2.0,
         gir1.2-glib-2.0,
         gir1.2-gstreamer-1.0,
         gir1.2-gtk-3.0,
         gir1.2-notify-0.7,
         gir1.2-pango-1.0,
         gnome-settings-daemon,
         gstreamer1.0-plugins-bad,
         gstreamer1.0-plugins-base,
         gstreamer1.0-plugins-good,
         gstreamer1.0-plugins-ugly,
         gstreamer1.0-pulseaudio,
         python3-dbus,
         python3-gi,
         python3-mutagen,
         python3-pil,
         ${misc:Depends},
         ${python3:Depends}
Description: fast and minimalist audio player
 Pogo groups tracks by album, which uses less space and simplifies
 rearranging your playlist. Pogo does not organize your tracks in a
 music library and does not stream or download tracks. Therefore, it is
 best suited for people who store their tracks by album and want a
 simple way of playing them. Pogo allows you to quickly search for music
 on local drives and in the playlist. It also features an equalizer and
 displays covers and desktop notifications. Pogo is a fork of Decibel
 Audio Player and supports most common audio formats. It is written in
 Python and uses GTK+ and GStreamer.

## pogo 1.0.1-0~717~antix1

=== debian/changelog ===
pogo (1.0.1-0~717~antix1) unstable; urgency=medium

  * antiX build 

 -- anticapitalista <antix@operamail.com>  Wed, 28 Dec 2022 16:42:06 +0200

pogo (1.0.1-0~717~ubuntu20.10.1) groovy; urgency=low

  * Auto build.

 -- Launchpad Package Builder <noreply@launchpad.net>  Sun, 19 Jul 2020 23:18:09 +0000
